apiVersion: v1
kind: Secret
metadata:
  name: {{ cyrus_name }}
  namespace: {{ namespace }}
stringData:
  imapd.conf: |
    admins: cyrus
    allowplaintext: yes
    autocreate_quota: 0
    autocreate_inbox_folders: Sent | Drafts | Trash | Junk
    autocreate_post: yes
    configdirectory: /var/lib/imap
    conversations: 1
    conversations_db: twoskip
    defaultpartition: default
    defaultdomain: {{ ldap_root_domain }}
    duplicate_db_path: /run/cyrus/db/deliver.db
    hashimapspool: true
{% if do_exporters and 0 == 1 %}
    httpmodules: prometheus
{% endif %}
    idlesocket: /run/cyrus/socket/idle
    lmtpsocket: /run/cyrus/socket/lmtp
    mboxname_lockpath: /run/cyrus/lock
{% if do_cyrus_murder | default(False) %}
{% for n in range(cyrus_replicas | int) %}
    {{ cyrus_name }}-{{ loop.index0 }}: {{ ldap_secret.resources[0].data['cyrus-password'] | b64decode }}
{% endfor %}
    proxy_authname: cyrus
{% endif %}
    notifysocket: /run/cyrus/socket/notify
    partition-default: /var/spool/imap
    popminpoll: 1
    proc_path: /run/cyrus/proc
    ptscache_db_path:  /run/cyrus/db/ptscache.db
    sasl_auto_transition: no
    sasl_mech_list: PLAIN LOGIN
    sasl_pwcheck_method: saslauthd
    sievedir: /var/lib/imap/sieve
{% if submission_address | default(False) %}
    smtp_auth_authname: cyrus
    smtp_auth_password: {{ ldap_secret.resources[0].data['cyrus-password'] | b64decode }}
    smtp_backend: host
    smtp_host: {{ submission_address | urlsplit('hostname') }}:{{ submission_address | urlsplit('port') }}/tls
{% endif %}
    specialusealways: 1
    statuscache_db_path: /run/cyrus/db/statuscache.db
    syslog_prefix: cyrus
    tls_client_ca_dir: /etc/pki/tls/certs/
    tls_client_ca_file: /etc/pki/cyrus-imapd/cyrus-imapd-ca.pem
    tls_session_timeout: 1440
    tls_sessions_db_path: /run/cyrus/db/tls_sessions.db
    tls_server_cert: /etc/pki/cyrus-imapd/cyrus-imapd.pem
    tls_server_key: /etc/pki/cyrus-imapd/cyrus-imapd-key.pem
    virtdomains: off
  saslauthd.conf: |
    auxprop_plugin: ldapdb
    ldap_auth_method: bind
    ldap_bind_dn: cn=cyrus,ou=services,{{ ldap_secret.resources[0].data['directory-root'] | b64decode }}
    ldap_bind_pw: {{ ldap_secret.resources[0].data['cyrus-password'] | b64decode }}
    ldap_default_domain: {{ ldap_root_domain }}
{% if do_fusion %}
    ldap_filter: (|(&(objectClass=person)(cn=cyrus)(cn=%u))(&(objectClass=gosaAccount)(|(uid=%u)(mail=%u)(mail=%u@{{ ldap_root_domain }}))))
{% else %}
    ldap_filter: (|(&(objectClass=person)(cn=cyrus)(cn=%u))(&(objectClass={{ cyrus_ldap_user_objectclass }})(|(uid=%u)(mail=%u)(mail=%u@{{ ldap_root_domain }}))))
{% endif %}
    ldap_search_base: {{ ldap_secret.resources[0].data['directory-root'] | b64decode }}
{% if ldaps_address | default(False) %}
    ldap_servers: {{ ldaps_address }}
{% else %}
    ldap_servers: {{ ldap_address }}
{% endif %}
    ldap_scope: sub
{% if ldaps_address | default(False) and skip_ldap_verify | default(False) %}
    ldap_tls_check_peer: no
{% elif ldaps_address | default(False) %}
    ldap_tls_check_peer: yes
{% if k8s_flavor == 'kubernetes' %}
    ldap_tls_cacert_file: /certs/ca.crt
{% elif k8s_flavor == 'openshift' %}
    ldap_tls_cacert_file: /run/secrets/kubernetes.io/serviceaccount/ca.crt
{% else %}
    ldap_tls_cacert_dir: /etc/pki/tls/certs/
{% endif %}
{% endif %}
    ldap_version: 3
